SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:adjust-date-to-timezone

fn:adjust-date-to-timezone($srcval as date?) → date?

Function signature

$srcval | xs:date ?
Result | xs:date ?

Returns a date value equivalent to the original date, but with the timezone removed.

XPath 2.0 Specification

fn:adjust-date-to-timezone($srcval as date?, $timezone as dayTimeDuration) → date?

Function signature

$srcval | xs:date ?
$timezone | xdt:dayTimeDuration
Result | xs:date ?

Returns a date value equivalent to the original date, but with a different timezone.

XPath 2.0 Specification

Next